%define name blam
%define version 1.8.4
%define release %mkrel 12
#fixed2
%{?!mkrel:%define mkrel(c:) %{-c: 0.%{-c*}.}%{!?_with_unstable:%(perl -e '$_="%{1}";m/(.\*\\D\+)?(\\d+)$/;$rel=${2}-1;re;print "$1$rel";').%{?subrel:%subrel}%{!?subrel:1}.%{?distversion:%distversion}%{?!distversion:%(echo $[%{mdkversion}/10])}}%{?_with_unstable:%{1}}%{?distsuffix:%distsuffix}%{?!distsuffix:mdk}}

Summary: RSS aggregator written in C# using Mono, GTK# and RSS.NET
Name: %{name}
Version: %{version}
Release: %{release}
Epoch: 1
Source0: http://www.cmartin.tk/blam/%{name}-%{version}.tar.bz2
Patch: blam-firefox.patch
Patch1: blam-1.8.4-desktopentry.patch
# gw add planet mandriva feed
Patch2: blam-20060709-planetmandriva.patch
# gw new gnome-sharp needs this
Patch3: blam-1.8.4-gnome-sharp.patch
License: GPL
Group: Networking/Other
Url:  http://www.cmartin.tk/blam.html
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires: mono-devel
BuildRequires: gnome-sharp2
BuildRequires: glade-sharp2
BuildRequires: gecko-sharp2
BuildRequires: libgnomeui2-devel
BuildRequires: mozilla-firefox-devel >= 0.10
BuildRequires: perl-XML-Parser
BuildRequires: ImageMagick
BuildRequires: desktop-file-utils
#gw if we run autoconf
BuildRequires: automake1.8
BuildRequires: intltool
BuildRequires: libtool
Requires: libmozilla-firefox = %(rpm -q --queryformat %{VERSION} mozilla-firefox)
Requires(post): desktop-file-utils scrollkeeper
Requires(postun): desktop-file-utils scrollkeeper

%description
This is a GNOME RSS aggregator based on Mono.

%prep
%setup -q -n %name-%version
%patch1 -p1
%patch2 -p1 -b .planetmandriva
%patch3 -p1
%if %mdkversion <= 200700
%patch -p1 -b .firefox
./autogen.sh
%endif
#gw patch 3:
autoconf

%build
%configure2_5x --prefix=%_prefix --libdir=%_libdir --sysconfdir=%_sysconfdir \
%if %mdkversion > 200700
	--with-mozilla=firefox
%else
	--with-mozilla=mozilla-firefox
%endif

#gw parallel build is broken
make

%install
rm -rf $RPM_BUILD_ROOT
GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1 %makeinstall_std
mkdir -p %buildroot{%_liconsdir,%_iconsdir,%_miconsdir}
convert -scale 48x48 icons/%name.png %buildroot%_liconsdir/%name.png
convert -scale 32x32 icons/%name.png %buildroot%_iconsdir/%name.png
convert -scale 16x16 icons/%name.png %buildroot%_miconsdir/%name.png


%find_lang %name
rm -f %buildroot%_prefix/lib/%name/*.a

%post
%update_scrollkeeper
%update_desktop_database
%post_install_gconf_schemas %name
%{update_menus}

%preun
%preun_uninstall_gconf_schemas

%postun
%{clean_menus}
%clean_scrollkeeper
%clean_desktop_database

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %name.lang
%defattr(-,root,root)
%doc AUTHORS ChangeLog NEWS README
%_sysconfdir/gconf/schemas/%name.schemas
%_bindir/%name
%_prefix/lib/%name
%_datadir/applications/%name.desktop
%_datadir/%name
%_datadir/pixmaps/%name.png
%_mandir/man1/blam.1*
%_liconsdir/%name.png
%_iconsdir/%name.png
%_miconsdir/%name.png




%changelog
* Wed Mar 26 2008 Tiago Salem <salem@mandriva.com.br> 1:1.8.4-12mdv2008.1
+ Revision: 190333
- Rebuild for Firefox 2.0.0.13

* Sun Feb 10 2008 Götz Waschk <waschk@mandriva.org> 1:1.8.4-11mdv2008.1
+ Revision: 164939
- fix build with new gnome-sharp

  + Funda Wang <fundawang@mandriva.org>
    - rebuild for new FF

  + Thierry Vignaud <tvignaud@mandriva.com>
    - drop old menu
    - kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Wed Dec 12 2007 Götz Waschk <waschk@mandriva.org> 1:1.8.4-10mdv2008.1
+ Revision: 117682
- rebuild for new firefox

* Sat Nov 17 2007 Funda Wang <fundawang@mandriva.org> 1:1.8.4-9mdv2008.1
+ Revision: 109295
- rebuild for new lzma

* Mon Nov 05 2007 Götz Waschk <waschk@mandriva.org> 1:1.8.4-8mdv2008.1
+ Revision: 106063
- rebuild for new firefox

* Wed Oct 24 2007 Götz Waschk <waschk@mandriva.org> 1:1.8.4-7mdv2008.1
+ Revision: 101783
- build without obsolete dbus-sharp

* Fri Oct 19 2007 Götz Waschk <waschk@mandriva.org> 1:1.8.4-6mdv2008.1
+ Revision: 100428
- rebuild for new firefox

* Thu Oct 18 2007 Götz Waschk <waschk@mandriva.org> 1:1.8.4-5mdv2008.1
+ Revision: 99900
- fix desktop entry

* Tue Jul 31 2007 Götz Waschk <waschk@mandriva.org> 1:1.8.4-5mdv2008.0
+ Revision: 57226
- rebuild


* Fri Mar 23 2007 Frederic Crozat <fcrozat@mandriva.com> 1.8.4-4mdv2007.1
+ Revision: 148648
- Force rebuild

* Fri Mar 23 2007 Götz Waschk <waschk@mandriva.org> 1:1.8.4-3mdv2007.1
+ Revision: 148363
- rebuild for new firefox

* Tue Feb 27 2007 Götz Waschk <waschk@mandriva.org> 1:1.8.4-2mdv2007.1
+ Revision: 126288
- rebuild for new firefox

* Mon Jan 08 2007 Götz Waschk <waschk@mandriva.org> 1:1.8.4-1mdv2007.1
+ Revision: 106103
- new version
- drop patch 1

* Thu Dec 07 2006 Götz Waschk <waschk@mandriva.org> 1.8.3-2mdv2007.1
+ Revision: 92035
- fix detection of new firefox

* Wed Nov 29 2006 Götz Waschk <waschk@mandriva.org> 1.8.3-1mdv2007.1
+ Revision: 88737
- new version
- new URL
- update patches 0,1
- drop patch 3
- add man page

* Fri Nov 24 2006 Götz Waschk <waschk@mandriva.org> 1.8.2-20061124.1mdv2007.1
+ Revision: 86898
- new snapshot
- fix firefox dep on lib64 arch
- update patch 3

* Thu Nov 09 2006 Götz Waschk <waschk@mandriva.org> 1.8.2-20061109.2mdv2007.1
+ Revision: 80069
- new snapshot
- fix syntax error in configure script
- fix mozilla dep
- Import blam

* Thu Nov 09 2006 Gtz Waschk <waschk@mandriva.org> 1.8.2-20060709.2mdv2007.1
- unpack patches
- rebuild for new firefox

* Fri Sep 29 2006 Gtz Waschk <waschk@mandriva.org> 1.8.2-20060709.1mdv2007.0
- add planet mandriva feed
- fix build with current api
- drop patch 1
- gtk-sharp2
- cvs snapshot

* Sat Sep 16 2006 Frederic Crozat <fcrozat@mandriva.com> 1.8.2-13mdv2007.0
- Rebuild with latest firefox

* Sat Aug 05 2006 Götz Waschk <waschk@mandriva.org> 1.8.2-1mdv2007.0
- rebuild for new firefox

* Sun Jul 30 2006 Gtz Waschk <waschk@mandriva.org> 1.8.2-11mdv2007.0
- new macros
- xdg menu
- rebuild for new firefox

* Sun Jun 04 2006 Gtz Waschk <waschk@mandriva.org> 1.8.2-10mdv2007.0
- Rebuild for new firefox

* Thu May 04 2006 Götz Waschk <waschk@mandriva.org> 1.8.2-9mdk
- rebuild for new firefox

* Sat Apr 22 2006 Götz Waschk <waschk@mandriva.org> 1.8.2-8mdk
- rebuild for new firefox

* Thu Apr 06 2006 Götz Waschk <waschk@mandriva.org> 1.8.2-7mdk
- fix mozilla-firefox dep

* Fri Feb 03 2006 Götz Waschk <waschk@mandriva.org> 1.8.2-6mdk
- rebuild for new mozilla-firefox

* Wed Jan 11 2006 Gtz Waschk <waschk@mandriva.org> 1.8.2-5mdk
- patch for new mozilla-firefox

* Fri Nov 11 2005 Gtz Waschk <waschk@mandriva.org> 1.8.2-4mdk
- fix buildrequires

* Wed Oct 26 2005 Götz Waschk <waschk@mandriva.org> 1.8.2-3mdk
- rebuild for new mozilla

* Sat Jul 30 2005 Gtz Waschk <waschk@mandriva.org> 1.8.2-2mdk
- build fix
- rebuild for new firefox

* Wed Jun 22 2005 Gtz Waschk <waschk@mandriva.org> 1.8.2-1mdk
- drop source 1
- new version

* Tue Jun 21 2005 Gtz Waschk <waschk@mandriva.org> 1.8.1-1mdk
- add forgotten files (source1)
- mkrel
- New release 1.8.1

* Thu May 26 2005 Gtz Waschk <waschk@mandriva.org> 1.8.0-3mdk
- rebuild for new firefox

* Thu May 19 2005 Gtz Waschk <waschk@mandriva.org> 1.8.0-2mdk
- fix buildrequires

* Tue May 10 2005 Gtz Waschk <waschk@mandriva.org> 1.8.0-1mdk
- fix build on x86_64
- New release 1.8.0

* Sat May 07 2005 Gtz Waschk <waschk@mandriva.org> 1.6.1-4mdk
- replace libdir by prefix/lib

* Thu Mar 24 2005 Frederic Crozat <fcrozat@mandrakesoft.com> 1.6.1-3mdk 
- rebuild with latest firefox and change dependency (due to the way blam start)

* Wed Feb 23 2005 Gtz Waschk <waschk@linux-mandrake.com> 1.6.1-2mdk
- rebuild with firefox

* Sun Jan 09 2005 Goetz Waschk <waschk@linux-mandrake.com> 1.6.1-1mdk
- New release 1.6.1

* Wed Jan 05 2005 Gtz Waschk <waschk@linux-mandrake.com> 1.6.0-3mdk
- rebuild

* Sun Nov 21 2004 Gtz Waschk <waschk@linux-mandrake.com> 1.6.0-2mdk
- rebuild for new mozilla
- 10.0 build with firefox

* Mon Oct 25 2004 Gtz Waschk <waschk@linux-mandrake.com> 1.6.0-1mdk
- we depend on gecko-sharp
- New release 1.6.0

* Sun Sep 19 2004 Gtz Waschk <waschk@linux-mandrake.com> 1.4.1-1mdk
- drop patch
- New release 1.4.1

* Thu Sep 09 2004 Gtz Waschk <waschk@linux-mandrake.com> 1.4.0-1mdk
- fix german translation
- new source URL
- New release 1.4.0

* Sat Aug 21 2004 Goetz Waschk <waschk@linux-mandrake.com> 1.2.4-1mdk
- New release 1.2.4

* Tue Aug 10 2004 Gtz Waschk <waschk@linux-mandrake.com> 1.2.3-1mdk
- fix docs listing
- New release 1.2.3

* Thu Aug 05 2004 Gtz Waschk <waschk@linux-mandrake.com> 1.2.1-1mdk
- initial package

